- block:
  - include_role:
      name: commons
      tasks_from: baseimages/java.yaml
    vars:
      build_java_version: 15
  - set_fact:
      gerrit_from_image: "java:15-{{ java_tag }}"
  when:
  - gerrit_tag not in [ '3.4.0-1', '3.4.1-1', '3.4.1-2' ]
- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  vars:
    is_name: gerrit
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: gerrit
    bc_cpu_limit: 500m
    bc_cpu_request: 400m
    bc_forcepull: "false"
    bc_fromimage: "{{ gerrit_from_image | default(False) }}"
    bc_memory_limit: 3Gi
    bc_memory_request: 2Gi
    bc_ref: "{{ gerrit_tag }}"
    bc_secret: "{{ gerrit_clone_secret | default(False) }}"
    bc_source: "{{ gerrit_image_source }}"
    bc_toimage: gerrit
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
- include_role:
    name: commons
    tasks_from: baseimages/sshd.yaml
  when:
  - >
      (gerrit_replicas | int) > 1
      or do_backups
- block:
  - include_role:
      name: commons
      tasks_from: exporters/mysql.yaml
    when:
    - gerrit_db_type in [ 'mariadb', 'mysql' ]
  - include_role:
      name: commons
      tasks_from: exporters/postgres.yaml
    when:
    - gerrit_db_type == 'postgres'
  when:
  - do_exporters
